C			INDAY.FTN
C
C  A SUBROUTINE TO PICK UP THE DAY AS MONTH, DAY, AND YEAR AND RETURN
C  A VALUE OF NUMBER OF DAYS SINCE 1 1 80
C
	SUBROUTINE INDAY(DAY)
	BYTE	BUFFER(20)
	INTEGER	DAY,DAYS,DAYCK
80	CALL LOA(BUFFER,20,0)
	CALL GETSTR(BUFFER,20)
	CALL DEC3(I,J,K,NXT,BUFFER)	! CONVERT TO MO, DA, YR
	IF(NXT.LE.0)GO TO 1000		! ON ERROR STOP
	IF(DAYCK(I,J,K).EQ.1)GO TO 100
	CALL BELL
	GO TO 80
100	DAY=DAYS(I,J,K,0)		! CONVERT TO DAYS SINCE JAN 1
	RETURN
1000	DAY=0
	RETURN
	END
